Commit 3b1cb7e8 authored by Renovate Bot's avatar Renovate Bot
Browse files

Pin dependencies

parent cdabb4fc
Pipeline #7682 passed with stage
in 4 minutes and 2 seconds
......@@ -11,24 +11,24 @@
"build-report": "vue-cli-service build --report"
},
"dependencies": {
"@dsb-norge/vue-keycloak-js": "^1.3.1",
"bootstrap": "^4.5.3",
"bootstrap-vue": "^2.20.1",
"core-js": "^3.8.0",
"fetch-intercept": "^2.3.1",
"register-service-worker": "^1.7.1",
"sinon": "^9.2.1",
"@dsb-norge/vue-keycloak-js": "1.3.2",
"bootstrap": "4.5.3",
"bootstrap-vue": "2.21.2",
"core-js": "3.8.3",
"fetch-intercept": "2.3.1",
"register-service-worker": "1.7.2",
"sinon": "9.2.3",
"vue": "^2.6.12",
"vue-class-component": "^7.2.6",
"vue-property-decorator": "^9.1.2",
"vue-property-decorator": "9.1.2",
"vue-router": "^3.4.9",
"vuelidate": "^0.7.6",
"vuelidate": "0.7.6",
"vuex": "^3.6.0",
"whatwg-fetch": "^3.5.0"
"whatwg-fetch": "3.5.0"
},
"devDependencies": {
"@types/jest": "^26.0.16",
"@types/vuelidate": "^0.7.13",
"@types/jest": "26.0.20",
"@types/vuelidate": "0.7.13",
"@typescript-eslint/eslint-plugin": "^4.9.0",
"@typescript-eslint/parser": "^4.9.0",
"@vue/cli-plugin-babel": "^4.5.9",
......@@ -40,14 +40,14 @@
"@vue/cli-plugin-unit-jest": "^4.5.9",
"@vue/cli-plugin-vuex": "^4.5.9",
"@vue/cli-service": "^4.5.9",
"@vue/eslint-config-typescript": "^7.0.0",
"@vue/eslint-config-typescript": "7.0.0",
"@vue/test-utils": "1.1.1",
"eslint": "^7.14.0",
"eslint-plugin-vue": "^7.1.0",
"node-sass": "^5.0.0",
"npm": "^6.14.11",
"sass-loader": "^10.1.0",
"typescript": "~4.1.2",
"eslint": "7.18.0",
"eslint-plugin-vue": "7.4.1",
"node-sass": "5.0.0",
"npm": "6.14.11",
"sass-loader": "10.1.1",
"typescript": "4.1.3",
"vue-template-compiler": "^2.6.12"
}
}
......@@ -872,7 +872,7 @@
debug "^3.1.0"
lodash.once "^4.1.1"
 
"@dsb-norge/vue-keycloak-js@^1.3.1":
"@dsb-norge/vue-keycloak-js@1.3.2":
version "1.3.2"
resolved "https://registry.yarnpkg.com/@dsb-norge/vue-keycloak-js/-/vue-keycloak-js-1.3.2.tgz#a76c0ed682d1daa05d9e1ad949f64d225fc4c797"
integrity sha512-bNtUb+i6MUT2krHkrn9fJUsQYFTT7CG0l5fqNxDfdL7FPRlZ2Z8THRT0SeKOTzt8FNSZ+watJcd2XyrXXV5ufA==
......@@ -1321,14 +1321,7 @@
dependencies:
"@types/istanbul-lib-report" "*"
 
"@types/jest@^24.0.19":
version "24.9.1"
resolved "https://registry.yarnpkg.com/@types/jest/-/jest-24.9.1.tgz#02baf9573c78f1b9974a5f36778b366aa77bd534"
integrity sha512-Fb38HkXSVA4L8fGKEZ6le5bB8r6MRWlOCZbVuWZcmOMSCd2wCYOwN1ibj8daIoV9naq7aaOZjrLCoCMptKU/4Q==
dependencies:
jest-diff "^24.3.0"
"@types/jest@^26.0.16":
"@types/jest@26.0.20":
version "26.0.20"
resolved "https://registry.yarnpkg.com/@types/jest/-/jest-26.0.20.tgz#cd2f2702ecf69e86b586e1f5223a60e454056307"
integrity sha512-9zi2Y+5USJRxd0FsahERhBwlcvFh6D2GLQnY2FH2BzK8J9s9omvNHIbvABwIluXa0fD8XVKMLTO0aOEuUfACAA==
......@@ -1336,6 +1329,13 @@
jest-diff "^26.0.0"
pretty-format "^26.0.0"
 
"@types/jest@^24.0.19":
version "24.9.1"
resolved "https://registry.yarnpkg.com/@types/jest/-/jest-24.9.1.tgz#02baf9573c78f1b9974a5f36778b366aa77bd534"
integrity sha512-Fb38HkXSVA4L8fGKEZ6le5bB8r6MRWlOCZbVuWZcmOMSCd2wCYOwN1ibj8daIoV9naq7aaOZjrLCoCMptKU/4Q==
dependencies:
jest-diff "^24.3.0"
"@types/json-schema@^7.0.3", "@types/json-schema@^7.0.4", "@types/json-schema@^7.0.5", "@types/json-schema@^7.0.6":
version "7.0.6"
resolved "https://registry.yarnpkg.com/@types/json-schema/-/json-schema-7.0.6.tgz#f4c7ec43e81b319a9815115031709f26987891f0"
......@@ -1431,7 +1431,7 @@
dependencies:
source-map "^0.6.1"
 
"@types/vuelidate@^0.7.13":
"@types/vuelidate@0.7.13":
version "0.7.13"
resolved "https://registry.yarnpkg.com/@types/vuelidate/-/vuelidate-0.7.13.tgz#6e7249e1d6b72b3aed14f4439a082e14662c485e"
integrity sha512-CFyaS5yov3HjwoZrQyehiE1cNkyuN0/EDQfpeneWQFC9onJ0ieQL6dgFxN6zzPMHDZ87If3UH9WcgkPB4vbcoQ==
......@@ -1883,7 +1883,7 @@
optionalDependencies:
prettier "^1.18.2"
 
"@vue/eslint-config-typescript@^7.0.0":
"@vue/eslint-config-typescript@7.0.0":
version "7.0.0"
resolved "https://registry.yarnpkg.com/@vue/eslint-config-typescript/-/eslint-config-typescript-7.0.0.tgz#220c70c2edf7a253e739298525f4d401b8ef0038"
integrity sha512-UxUlvpSrFOoF8aQ+zX1leYiEBEm7CZmXYn/ZEM1zwSadUzpamx56RB4+Htdjisv1mX2tOjBegNUqH3kz2OL+Aw==
......@@ -2830,7 +2830,7 @@ boolbase@^1.0.0, boolbase@~1.0.0:
resolved "https://registry.yarnpkg.com/boolbase/-/boolbase-1.0.0.tgz#68dff5fbe60c51eb37725ea9e3ed310dcc1e776e"
integrity sha1-aN/1++YMUes3cl6p4+0xDcwed24=
 
bootstrap-vue@^2.20.1:
bootstrap-vue@2.21.2:
version "2.21.2"
resolved "https://registry.yarnpkg.com/bootstrap-vue/-/bootstrap-vue-2.21.2.tgz#ec38f66c3a2205becccddb6158a991d96509ed0b"
integrity sha512-0Exe+4MZysqhZNXIKf4TzkvXaupxh9EHsoCRez0o5Dc0J7rlafayOEwql63qXv74CgZO8E4U8ugRNJko1vMvNw==
......@@ -2841,7 +2841,7 @@ bootstrap-vue@^2.20.1:
portal-vue "^2.1.7"
vue-functional-data-merge "^3.1.0"
 
"bootstrap@>=4.5.3 <5.0.0", bootstrap@^4.5.3:
bootstrap@4.5.3, "bootstrap@>=4.5.3 <5.0.0":
version "4.5.3"
resolved "https://registry.yarnpkg.com/bootstrap/-/bootstrap-4.5.3.tgz#c6a72b355aaf323920be800246a6e4ef30997fe6"
integrity sha512-o9ppKQioXGqhw8Z7mah6KdTYpNQY//tipnkxppWhPbiSWdD+1raYsnhwEZjkTHYbGee4cVQ0Rx65EhOY/HNLcQ==
......@@ -3834,16 +3834,16 @@ core-js-compat@^3.6.5, core-js-compat@^3.8.0:
browserslist "^4.16.1"
semver "7.0.0"
 
core-js@3.8.3, core-js@^3.6.5:
version "3.8.3"
resolved "https://registry.yarnpkg.com/core-js/-/core-js-3.8.3.tgz#c21906e1f14f3689f93abcc6e26883550dd92dd0"
integrity sha512-KPYXeVZYemC2TkNEkX/01I+7yd+nX3KddKwZ1Ww7SKWdI2wQprSgLmrTddT8nw92AjEklTsPBoSdQBhbI1bQ6Q==
core-js@^2.4.0:
version "2.6.12"
resolved "https://registry.yarnpkg.com/core-js/-/core-js-2.6.12.tgz#d9333dfa7b065e347cc5682219d6f690859cc2ec"
integrity sha512-Kb2wC0fvsWfQrgk8HU5lW6U/Lcs8+9aaYcy4ZFc6DDlo4nZ7n70dEgE5rtR0oG6ufKDUnrwfWL1mXR5ljDatrQ==
 
core-js@^3.6.5, core-js@^3.8.0:
version "3.8.3"
resolved "https://registry.yarnpkg.com/core-js/-/core-js-3.8.3.tgz#c21906e1f14f3689f93abcc6e26883550dd92dd0"
integrity sha512-KPYXeVZYemC2TkNEkX/01I+7yd+nX3KddKwZ1Ww7SKWdI2wQprSgLmrTddT8nw92AjEklTsPBoSdQBhbI1bQ6Q==
core-util-is@1.0.2, core-util-is@~1.0.0:
version "1.0.2"
resolved "https://registry.yarnpkg.com/core-util-is/-/core-util-is-1.0.2.tgz#b5fd54220aa2bc5ab57aab7140c940754503c1a7"
......@@ -4859,7 +4859,7 @@ eslint-plugin-cypress@^2.10.3:
dependencies:
globals "^11.12.0"
 
eslint-plugin-vue@^7.1.0:
eslint-plugin-vue@7.4.1:
version "7.4.1"
resolved "https://registry.yarnpkg.com/eslint-plugin-vue/-/eslint-plugin-vue-7.4.1.tgz#2526ef0c010c218824a89423dbe6ddbe76f04fd6"
integrity sha512-W/xPNHYIkGJphLUM2UIYYGKbRw3BcDoMIPY9lu1TTa2YLiZoxurddfnmOP+UOVywxb5vi438ejzwvKdZqydtIw==
......@@ -4902,7 +4902,7 @@ eslint-visitor-keys@^2.0.0:
resolved "https://registry.yarnpkg.com/eslint-visitor-keys/-/eslint-visitor-keys-2.0.0.tgz#21fdc8fbcd9c795cc0321f0563702095751511a8"
integrity sha512-QudtT6av5WXels9WjIM7qz1XD1cWGvX4gGXvp/zBn9nXG02D0utdU3Em2m/QjTnrsk6bBjmCygl3rmj118msQQ==
 
eslint@^7.14.0:
eslint@7.18.0:
version "7.18.0"
resolved "https://registry.yarnpkg.com/eslint/-/eslint-7.18.0.tgz#7fdcd2f3715a41fe6295a16234bd69aed2c75e67"
integrity sha512-fbgTiE8BfUJZuBeq2Yi7J3RB3WGUQ9PNuNbmgi6jt9Iv8qrkxfy19Ds3OpL1Pm7zg3BtTVhvcUZbIRQ0wmSjAQ==
......@@ -5332,7 +5332,7 @@ fd-slicer@~1.1.0:
dependencies:
pend "~1.2.0"
 
fetch-intercept@^2.3.1:
fetch-intercept@2.3.1:
version "2.3.1"
resolved "https://registry.yarnpkg.com/fetch-intercept/-/fetch-intercept-2.3.1.tgz#1f37ac57d7f0742aae5e3ae11ed18c2acbc43f61"
integrity sha512-6tEgV10w4Zr4YFLc+RXaUQ1k8O4okX6AsnYYQqGhfXeiDZcBTQonVpjM5LbLWXWzaQzCA3DyJbsOHEB5szRn5A==
......@@ -8903,7 +8903,7 @@ node-releases@^1.1.69:
resolved "https://registry.yarnpkg.com/node-releases/-/node-releases-1.1.70.tgz#66e0ed0273aa65666d7fe78febe7634875426a08"
integrity sha512-Slf2s69+2/uAD79pVVQo8uSiC34+g8GWY8UH2Qtqv34ZfhYrxpYpfzs9Js9d6O0mbDmALuxaTlplnBTnSELcrw==
 
node-sass@^5.0.0:
node-sass@5.0.0:
version "5.0.0"
resolved "https://registry.yarnpkg.com/node-sass/-/node-sass-5.0.0.tgz#4e8f39fbef3bac8d2dc72ebe3b539711883a78d2"
integrity sha512-opNgmlu83ZCF792U281Ry7tak9IbVC+AKnXGovcQ8LG8wFaJv6cLnRlc6DIHlmNxWEexB5bZxi9SZ9JyUuOYjw==
......@@ -9107,7 +9107,7 @@ npm-user-validate@^1.0.1:
resolved "https://registry.yarnpkg.com/npm-user-validate/-/npm-user-validate-1.0.1.tgz#31428fc5475fe8416023f178c0ab47935ad8c561"
integrity sha512-uQwcd/tY+h1jnEaze6cdX/LrhWhoBxfSknxentoqmIuStxUExxjWd3ULMLFPiFUrZKbOVMowH6Jq2FRWfmhcEw==
 
npm@^6.14.11:
npm@6.14.11:
version "6.14.11"
resolved "https://registry.yarnpkg.com/npm/-/npm-6.14.11.tgz#e0b5598d7b9a42d275e61d8bd28cd7eee0074a3b"
integrity sha512-1Zh7LjuIoEhIyjkBflSSGzfjuPQwDlghNloppjruOH5bmj9midT9qcNT0tRUZRR04shU9ekrxNy9+UTBrqeBpQ==
......@@ -10822,7 +10822,7 @@ regexpu-core@^4.7.1:
unicode-match-property-ecmascript "^1.0.4"
unicode-match-property-value-ecmascript "^1.2.0"
 
register-service-worker@^1.7.1:
register-service-worker@1.7.2:
version "1.7.2"
resolved "https://registry.yarnpkg.com/register-service-worker/-/register-service-worker-1.7.2.tgz#6516983e1ef790a98c4225af1216bc80941a4bd2"
integrity sha512-CiD3ZSanZqcMPRhtfct5K9f7i3OLCcBBWsJjLh1gW9RO/nS94sVzY59iS+fgYBOBqaBpf4EzfqUF3j9IG+xo8A==
......@@ -11186,7 +11186,7 @@ sass-graph@2.2.5:
scss-tokenizer "^0.2.3"
yargs "^13.3.2"
 
sass-loader@^10.1.0:
sass-loader@10.1.1:
version "10.1.1"
resolved "https://registry.yarnpkg.com/sass-loader/-/sass-loader-10.1.1.tgz#4ddd5a3d7638e7949065dd6e9c7c04037f7e663d"
integrity sha512-W6gVDXAd5hR/WHsPicvZdjAWHBcEJ44UahgxcIE196fW2ong0ZHMPO1kZuI5q0VlvMQZh32gpv69PLWQm70qrw==
......@@ -11439,7 +11439,7 @@ simple-swizzle@^0.2.2:
dependencies:
is-arrayish "^0.3.1"
 
sinon@^9.2.1:
sinon@9.2.3:
version "9.2.3"
resolved "https://registry.yarnpkg.com/sinon/-/sinon-9.2.3.tgz#f68ce414e843e2fd638703043c97f260697caa52"
integrity sha512-m+DyAWvqVHZtjnjX/nuShasykFeiZ+nPuEfD4G3gpvKGkXRhkF/6NSt2qN2FjZhfrcHXFzUzI+NLnk+42fnLEw==
......@@ -12518,7 +12518,7 @@ typedarray@^0.0.6:
resolved "https://registry.yarnpkg.com/typedarray/-/typedarray-0.0.6.tgz#867ac74e3864187b1d3d47d996a78ec5c8830777"
integrity sha1-hnrHTjhkGHsdPUfZlqeOxciDB3c=
 
typescript@~4.1.2:
typescript@4.1.3:
version "4.1.3"
resolved "https://registry.yarnpkg.com/typescript/-/typescript-4.1.3.tgz#519d582bd94cba0cf8934c7d8e8467e473f53bb7"
integrity sha512-B3ZIOf1IKeH2ixgHhj6la6xdwR9QrLC5d1VKeCSY4tvkqhF2eqd9O7txNlS0PO3GrBAFIdr3L1ndNwteUbZLYg==
......@@ -12906,7 +12906,7 @@ vue-loader@^15.9.2:
vue-hot-reload-api "^2.3.0"
vue-style-loader "^4.1.0"
 
vue-property-decorator@^9.1.2:
vue-property-decorator@9.1.2:
version "9.1.2"
resolved "https://registry.yarnpkg.com/vue-property-decorator/-/vue-property-decorator-9.1.2.tgz#266a2eac61ba6527e2e68a6933cfb98fddab5457"
integrity sha512-xYA8MkZynPBGd/w5QFJ2d/NM0z/YeegMqYTphy7NJQXbZcuU6FC6AOdUAcy4SXP+YnkerC6AfH+ldg7PDk9ESQ==
......@@ -12942,7 +12942,7 @@ vue@^2.6.11, vue@^2.6.12:
resolved "https://registry.yarnpkg.com/vue/-/vue-2.6.12.tgz#f5ebd4fa6bd2869403e29a896aed4904456c9123"
integrity sha512-uhmLFETqPPNyuLLbsKz6ioJ4q7AZHzD8ZVFNATNyICSZouqP2Sz0rotWQC8UNBF6VGSCs5abnKJoStA6JbCbfg==
 
vuelidate@^0.7.6:
vuelidate@0.7.6:
version "0.7.6"
resolved "https://registry.yarnpkg.com/vuelidate/-/vuelidate-0.7.6.tgz#84100c13b943470660d0416642845cd2a1edf4b2"
integrity sha512-suzIuet1jGcyZ4oUSW8J27R2tNrJ9cIfklAh63EbAkFjE380iv97BAiIeolRYoB9bF9usBXCu4BxftWN1Dkn3g==
......@@ -13162,7 +13162,7 @@ whatwg-encoding@^1.0.1, whatwg-encoding@^1.0.3, whatwg-encoding@^1.0.5:
dependencies:
iconv-lite "0.4.24"
 
whatwg-fetch@^3.5.0:
whatwg-fetch@3.5.0:
version "3.5.0"
resolved "https://registry.yarnpkg.com/whatwg-fetch/-/whatwg-fetch-3.5.0.tgz#605a2cd0a7146e5db141e29d1c62ab84c0c4c868"
integrity sha512-jXkLtsR42xhXg7akoDKvKWE40eJeI+2KZqcp2h3NsOrRnDvtWX36KcKl30dy+hxECivdk2BVUHVNrPtoMBUx6A==
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment